/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.3 $ $Date: 2002/07/09 10:55:30 $        */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_TIMINGPAGE_H__351E7040_DA7C_4AB6_80FC_0D97A504F34A__INCLUDED_)
#define AFX_TIMINGPAGE_H__351E7040_DA7C_4AB6_80FC_0D97A504F34A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "options.h"

/**
 * Timing page of the options folder.
 */
class CTimingPage : public CPropertyPage
{
public:
	/**
	 * Construction
	 */
	CTimingPage();

	/**
	 * Destruction
	 */
	~CTimingPage();

	// Dialog Data
	//{{AFX_DATA(CTimingPage)
	enum { IDD = IDD_DIALOG_TIMING };
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA

	/**
	 * Sets the status bar for error/info message
	 */
	void SetStatusBar( CEdit* status );

	/**
	 * Called when the folder page becomes visible. This is
	 * putting the page into the right place.
	 */
	void SetVisible(CTabCtrl* parent);

	/**
	 * Sets the widgets values.
	 */
	void SetOptions();

	// Overrides	
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTimingPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTimingPage)
	afx_msg void OnCheck1();
	afx_msg void OnCheck3();
	afx_msg void OnCheck8();
	afx_msg void OnCheck10();
	afx_msg void OnCheck11();
	afx_msg void OnCheck13();
	afx_msg void OnChangeEdit1();
	afx_msg void OnChangeEdit12();
	afx_msg void OnChangeEdit13();
	afx_msg void OnChangeEdit14();
	afx_msg void OnChangeEdit15();
	afx_msg void OnChangeEdit16();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	/**
	 */
	void BuildCommand();
	
	/**
	 * Initialization flag.
	 */
	bool init;

	/**
	 * Status bar for error/info messages.
	 */
	CEdit* m_statusbar;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMINGPAGE_H__351E7040_DA7C_4AB6_80FC_0D97A504F34A__INCLUDED_)
